using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class EnemysVenchile : MonoBehaviour
{
    private GameManager gameManager;

    private string aiAction = "";
    System.Random aiRandom = new System.Random();

    void Start()
    {
        gameManager = FindObjectOfType<GameManager>();
    }

    void AiManager()
    {
        int aiRes = aiRandom.Next(0, 100);
        if (aiRes < 15) 
        {
            if (aiRandom.Next(0, 3) == 1)
                aiAction = "R";
            else
                aiAction = "L";
        }
        if (aiRes == 30)
        {
            aiAction = "";
        }
    }

    void InputManager()
    {
        if (aiAction == "R")
        {
            rigidbody.linearVelocity += new Vector3(-0.1f, 0f, 0f);
        }
        if (aiAction == "L")
        {
            rigidbody.linearVelocity += new Vector3(0.1f, 0f, 0f);
        }
        transform.position = new Vector3(transform.position.x, transform.position.y, 5f);
    }

    void Update()
    {
        if (gameManager.gameStatus == "Processing")
        {
            AiManager();
            InputManager();
        }
    }
}
