using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class Player : MonoBehaviour
{
    private EnemysSpear spear;
    private GameManager gameManager;

    float DistanceTo(Vector3 from)
    {
        return (float)Math.Pow(Math.Abs(Math.Pow(from.x - transform.position.x, 2f)) + Math.Abs(Math.Pow(from.y - transform.position.y, 2f)), 0.5f);
    }

    void Start()
	{
        spear = FindObjectOfType<EnemysSpear>();
        gameManager = FindObjectOfType<GameManager>();
    }
	
	void Update()
	{
        if (DistanceTo(spear.transform.position) < 0.09f)
        {
            if (gameManager.gameStatus == "Processing")
                gameManager.gameStatus = "Killed";
        }
    }
}
